Name:           athena-config
Version:        0
Release:        7%{?dist}
Summary:        System configuration for Athena

License:        Custom
URL:            https://gitlab.com/athenaos/packages/system/athena-config
Source0:        https://gitlab.com/athenaos/packages/system/athena-config/-/archive/main/athena-config-main.tar.gz

BuildArch:      noarch

Requires:       terminus-fonts

%description
System configuration files for Athena OS. Includes default user settings, desktop entries, and icons.

%prep
%autosetup -n %{name}-main

%build
# Nothing to build

%install
install -dm 755 %{buildroot}/usr/bin
install -dm 755 %{buildroot}/usr/share/applications
install -dm 755 %{buildroot}/usr/share/desktop-directories
install -dm 755 %{buildroot}/usr/share/icons/hicolor
install -dm 755 %{buildroot}/usr/share/icons/htb-toolkit
install -dm 755 %{buildroot}/usr/share/pixmaps/faces
install -dm 755 %{buildroot}/etc/modprobe.d
install -dm 755 %{buildroot}/etc/skel
install -dm 755 %{buildroot}/etc/xdg/menus

install -Dm 644 etc/skel/.bash_aliases  %{buildroot}/etc/skel/.bash_aliases
install -Dm 644 etc/skel/.blerc         %{buildroot}/etc/skel/.blerc
install -Dm 644 etc/xdg/menus/*.menu    %{buildroot}/etc/xdg/menus/
install -Dm 755 usr/bin/athena-motd     %{buildroot}/usr/bin/athena-motd
install -Dm 755 usr/bin/shell-rocket    %{buildroot}/usr/bin/shell-rocket

cp -a etc/modprobe.d/*                %{buildroot}/etc/modprobe.d/
cp -a usr/share/applications/*        %{buildroot}/usr/share/applications/
cp -a usr/share/desktop-directories/* %{buildroot}/usr/share/desktop-directories/
cp -a usr/share/icons/hicolor/*       %{buildroot}/usr/share/icons/hicolor/
cp -a usr/share/icons/htb-toolkit/*   %{buildroot}/usr/share/icons/htb-toolkit/
cp -a usr/share/pixmaps/*             %{buildroot}/usr/share/pixmaps/

%files
# Uncomment if LICENSE exists in the repo root
# %license LICENSE
%config(noreplace) /etc/modprobe.d/*
%config(noreplace) /etc/skel/.bash_aliases
%config(noreplace) /etc/skel/.blerc
%config(noreplace) /etc/xdg/menus/*.menu
/usr/bin/athena-motd
/usr/bin/shell-rocket
/usr/share/applications/*
/usr/share/desktop-directories/*
/usr/share/icons/hicolor/*
/usr/share/icons/htb-toolkit/*
/usr/share/pixmaps/*

%changelog
